| ICM45605 eMD driver Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
inv_imu_edmp_apex_parameters_t Struct Reference
EDMP

IMU APEX inputs parameters definition. More...

`#include <inv_imu_edmp.h>`

## Public Attributes
uint32_t | ped_amp_th
uint16_t | ped_step_cnt_th
uint16_t | ped_step_det_th
uint16_t | ped_sb_timer_th
uint32_t | ped_hi_en_th
uint8_t | ped_sensitivity_mode
uint32_t | ped_low_en_amp_th
uint16_t | tilt_wait_time
uint8_t | smd_sensitivity
uint32_t | r2w_sleep_time_out
uint32_t | r2w_sleep_gesture_delay
uint32_t | r2w_mounting_matrix
uint32_t | r2w_gravity_filter_gain
uint32_t | r2w_motion_th_angle_cosine
uint32_t | r2w_motion_th_timer_fast
uint32_t | r2w_motion_th_timer_slow
uint32_t | r2w_motion_prev_gravity_timeout
uint32_t | r2w_last_gravity_motion_timer
uint32_t | r2w_last_gravity_timeout
uint32_t | r2w_gesture_validity_timeout
uint16_t | lowg_peak_th
uint16_t | lowg_peak_th_hyst
uint16_t | lowg_time_th
uint16_t | highg_peak_th
uint16_t | highg_peak_th_hyst
uint16_t | highg_time_th
uint32_t | ff_min_duration
uint32_t | ff_max_duration
uint32_t | ff_debounce_duration
uint8_t | tap_min_jerk
uint16_t | tap_tmax
uint8_t | tap_tmin
uint8_t | tap_max_peak_tol
uint8_t | tap_smudge_reject_th
uint8_t | tap_tavg
int32_t | soft_iron_sensitivity_matrix [9]
int32_t | hard_iron_offset [3]
uint32_t | power_save_time
uint8_t | power_save_en

## Detailed Description

IMU APEX inputs parameters definition.

Note
  Refer to the datasheet for details on how to configure these parameters.

## Member Data Documentation

## ◆ ff_debounce_duration

uint32_t inv_imu_edmp_apex_parameters_t::ff_debounce_duration

## ◆ ff_max_duration

uint32_t inv_imu_edmp_apex_parameters_t::ff_max_duration

## ◆ ff_min_duration

uint32_t inv_imu_edmp_apex_parameters_t::ff_min_duration

## ◆ hard_iron_offset

int32_t inv_imu_edmp_apex_parameters_t::hard_iron_offset[3]

## ◆ highg_peak_th

uint16_t inv_imu_edmp_apex_parameters_t::highg_peak_th

## ◆ highg_peak_th_hyst

uint16_t inv_imu_edmp_apex_parameters_t::highg_peak_th_hyst

## ◆ highg_time_th

uint16_t inv_imu_edmp_apex_parameters_t::highg_time_th

## ◆ lowg_peak_th

uint16_t inv_imu_edmp_apex_parameters_t::lowg_peak_th

## ◆ lowg_peak_th_hyst

uint16_t inv_imu_edmp_apex_parameters_t::lowg_peak_th_hyst

## ◆ lowg_time_th

uint16_t inv_imu_edmp_apex_parameters_t::lowg_time_th

## ◆ ped_amp_th

uint32_t inv_imu_edmp_apex_parameters_t::ped_amp_th

## ◆ ped_hi_en_th

uint32_t inv_imu_edmp_apex_parameters_t::ped_hi_en_th

## ◆ ped_low_en_amp_th

uint32_t inv_imu_edmp_apex_parameters_t::ped_low_en_amp_th

## ◆ ped_sb_timer_th

uint16_t inv_imu_edmp_apex_parameters_t::ped_sb_timer_th

## ◆ ped_sensitivity_mode

uint8_t inv_imu_edmp_apex_parameters_t::ped_sensitivity_mode

## ◆ ped_step_cnt_th

uint16_t inv_imu_edmp_apex_parameters_t::ped_step_cnt_th

## ◆ ped_step_det_th

uint16_t inv_imu_edmp_apex_parameters_t::ped_step_det_th

## ◆ power_save_en

uint8_t inv_imu_edmp_apex_parameters_t::power_save_en

## ◆ power_save_time

uint32_t inv_imu_edmp_apex_parameters_t::power_save_time

## ◆ r2w_gesture_validity_timeout

uint32_t inv_imu_edmp_apex_parameters_t::r2w_gesture_validity_timeout

## ◆ r2w_gravity_filter_gain

uint32_t inv_imu_edmp_apex_parameters_t::r2w_gravity_filter_gain

## ◆ r2w_last_gravity_motion_timer

uint32_t inv_imu_edmp_apex_parameters_t::r2w_last_gravity_motion_timer

## ◆ r2w_last_gravity_timeout

uint32_t inv_imu_edmp_apex_parameters_t::r2w_last_gravity_timeout

## ◆ r2w_motion_prev_gravity_timeout

uint32_t inv_imu_edmp_apex_parameters_t::r2w_motion_prev_gravity_timeout

## ◆ r2w_motion_th_angle_cosine

uint32_t inv_imu_edmp_apex_parameters_t::r2w_motion_th_angle_cosine

## ◆ r2w_motion_th_timer_fast

uint32_t inv_imu_edmp_apex_parameters_t::r2w_motion_th_timer_fast

## ◆ r2w_motion_th_timer_slow

uint32_t inv_imu_edmp_apex_parameters_t::r2w_motion_th_timer_slow

## ◆ r2w_mounting_matrix

uint32_t inv_imu_edmp_apex_parameters_t::r2w_mounting_matrix

## ◆ r2w_sleep_gesture_delay

uint32_t inv_imu_edmp_apex_parameters_t::r2w_sleep_gesture_delay

## ◆ r2w_sleep_time_out

uint32_t inv_imu_edmp_apex_parameters_t::r2w_sleep_time_out

## ◆ smd_sensitivity

uint8_t inv_imu_edmp_apex_parameters_t::smd_sensitivity

## ◆ soft_iron_sensitivity_matrix

int32_t inv_imu_edmp_apex_parameters_t::soft_iron_sensitivity_matrix[9]

## ◆ tap_max_peak_tol

uint8_t inv_imu_edmp_apex_parameters_t::tap_max_peak_tol

## ◆ tap_min_jerk

uint8_t inv_imu_edmp_apex_parameters_t::tap_min_jerk

## ◆ tap_smudge_reject_th

uint8_t inv_imu_edmp_apex_parameters_t::tap_smudge_reject_th

## ◆ tap_tavg

uint8_t inv_imu_edmp_apex_parameters_t::tap_tavg

## ◆ tap_tmax

uint16_t inv_imu_edmp_apex_parameters_t::tap_tmax

## ◆ tap_tmin

uint8_t inv_imu_edmp_apex_parameters_t::tap_tmin

## ◆ tilt_wait_time

uint16_t inv_imu_edmp_apex_parameters_t::tilt_wait_time

The documentation for this struct was generated from the following file:

- inv_imu_edmp.h